### Method

# Json Serializable default_deserialize_property

since: 0.10

#### Declaration [src]

    gboolean
    json_serializable_default_deserialize_property (
      JsonSerializable* serializable,
      const gchar* property_name,
      GValue* value,
      GParamSpec* pspec,
      JsonNode* property_node
    )

#### Description [src]

Calls the default implementation of the `Json.SerializableIface.deserialize_property` virtual function.

This function can be used inside a custom implementation of the `deserialize_property()` virtual function in lieu of calling the default implementation through `g_type_default_interface_peek()`:

    JsonSerializable *iface;
    gboolean res;

    iface = g_type_default_interface_peek (JSON_TYPE_SERIALIZABLE);
    res = iface->deserialize_property (serializable, property_name,
                                       value,
                                       pspec,
                                       property_node);

Available since: 0.10

#### Parameters

`property_name`

  Type: `const gchar*`

  The name of the property to deserialize.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  A pointer to an uninitialized value.

  The data is owned by the caller of the method.

`pspec`

  Type: `GParamSpec`

  A property description.

  The data is owned by the caller of the method.

`property_node`

  Type: `JsonNode`

  The JSON node containing the serialized property.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the property was successfully deserialized.